;(function (document, $, page) {
    $(document).ready(function(){
        $('#pageinfo-popover').bind('DOMSubtreeModified', function () {
            var $translateAsJobMenuItem = $('#smartling-job-trigger');

            // Hack to support both AEM 6.2 and 6.3:
            //    6.2: uses minimal buttons
            //    6.3: uses regular buttons
            // So we check which button style is used by the previous menu item
            if ($translateAsJobMenuItem.prev().hasClass('coral-MinimalButton')) {
                $translateAsJobMenuItem.removeClass('coral-Button');
                $translateAsJobMenuItem.addClass('coral-MinimalButton');
            }
            $translateAsJobMenuItem.click(function() {
                window.smartling.touchui.jobDialog.openDialog(page.path);
            });
        });
        window.smartling.touchui.jobDialog.initializeForm('/services/smartling/job/workflows/page');

        // Granite.author.getPageInfoLocation() is a part of public Granite API
        // https://helpx.adobe.com/experience-manager/6-5/sites/developing/using/reference-materials/jsdoc/ui-touch/editor-core/Granite.author.html#getPageInfoLocation__anchor
        window.smartling.touchui.jobDialog.setPayload(Granite.author.getPageInfoLocation());
        window.smartling.touchui.jobDialog.putCustomFields();
        window.smartling.touchui.jobDialog.putConfigInfo();
    });

})(jQuery(document), Granite.$, Granite.author.page);
